.catalog-list--item {
	display: grid;
	position: relative;
	grid-template-rows: min-content;
	grid-template-columns: repeat(auto-fill, 1rem);
	background-color: #f6f6f6;
	border-radius: 0.5rem;
	transition: all 0.5s ease-in-out;
	text-decoration: none;
}

.catalog-item--name {
	display: -webkit-box;
	-webkit-box-orient: vertical;
	color: #5f5f5f;
	font-family: Inter;
	font-weight: 400;
	text-align: left;
	padding-bottom: 0.2rem;
	overflow: hidden;
	text-overflow: ellipsis;
}

.flag {
	display: inline-block;
}

.catalog-item--nav {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
}

.catalog-nav--compare {
	background-image: url('/local/templates/ventluki/img/compare.svg');
}

.catalog-nav--favorites {
	background-image: url('/local/templates/ventluki/img/favorites.svg');
}

.catalog-nav--compare:hover, .catalog-nav--compare.in-list {
	background-image: url('/local/templates/ventluki/img/compare_hover.svg')!important;
}

.catalog-nav--favorites:hover, .catalog-nav--favorites.in-list {
	background-image: url('/local/templates/ventluki/img/favorites_hover.svg')!important;
}

.catalog-item--info {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: flex-start;
}

.catalog-info--option {
	color: #5f5f5f;
	font-family: Inter;
	font-weight: 400;
	text-align: left;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.catalog-info--title {
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	color: #131313;
	font-family: InterMedium;
	font-weight: bold;
	text-align: left;
	overflow: hidden;
	text-overflow: ellipsis;
}

.catalog-info--price {
	color: #131313;
	font-family: InterSemiBold;
	font-weight: bold;
	text-align: left;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

button.catalog-item--btn {
	height: 0;
	margin-top: 0;
	font-family: Inter;
	font-weight: 400;
	text-transform: uppercase;
	text-align: center;
	color: #F6F6F6;
	grid-column-start: 3;
	grid-column-end: 34;
	border-radius: 0.55rem;
	background-color: #131313;
	border: 0.1rem solid #131313;
	cursor: pointer;
	overflow: hidden;
	opacity: 0;
	z-index: 2;
}
button.catalog-item--btn.in-list, button.catalog-item--btn.in-list:hover {
	color: #131313;
	background-color: transparent!important;
	border-color: #131313!important;
}

.catalog-no-products {
	position: sticky;
	display: flex;
	white-space: nowrap;
	text-align: center;
	font-family: InterSemiBold;
	font-weight: 600;
	text-align: left;
	flex-direction: column;
	align-content: center;
	justify-content: center;
	align-items: center;
}
.no-products-actions {
	display: flex;
	flex-direction: column;
	align-content: center;
	justify-content: center;
	align-items: center;
	gap: 3rem;
}
@media (min-width: 600px) {

	.catalog-mesh{
		width: 104rem;
		margin-top: 7.3rem;
		grid-column-start: 47;
	}

	.catalog-item--name {
		width: 23rem;
		margin-left: -0.5rem;
		font-size: 1.4rem;
		line-height: 1.7rem;
		grid-column-start: 3;
		grid-column-end: 21;
		margin-top: 2rem;
		-webkit-line-clamp: 2;
	}

	.catalog-item--name .flag {
		width: 1.9rem;
		height: 1.3rem;
	}

	.catalog-item--nav {
		width: 6.4rem;
		grid-column-start: 27;
		grid-column-end: 33;
		margin-top: 1.7rem;
		cursor: pointer;
	}

	.catalog-nav--compare {
		width: 2.4rem;
		height: 2.2rem;
	}

	.catalog-nav--favorites {
		width: 2.5rem;
		height: 2.2rem;
	}

	.catalog-item--img {
		width: 20rem;
		height: 20rem;
		grid-column-start: 8;
		margin-top: 3.5rem;
	}

	.catalog-list--item:hover .catalog-item--img {
		width: 20rem;
		height: 15rem;
		margin-top: 2rem;
	}

	.catalog-item--info {
		width: 31rem;
		height: 9.8rem;
		margin-left: -0.5rem;
		grid-column-start: 3;
		grid-column-end: 34;
		margin-top: 3.9rem;
	}

	.catalog-list--item:hover .catalog-item--info {
		margin-top: 3.9rem;
	}

	.catalog-info--option {
		width: 31rem;
		font-size: 1.4rem;
		line-height: 1.5rem;
	}

	.catalog-info--title {
		width: 31rem;
		font-size: 1.6rem;
		line-height: 1.9rem;
	}

	.catalog-info--price {
		width: 31rem;
		font-size: 2rem;
		line-height: 2.2rem;
	}

	.catalog-list--item {
		width: 34rem!important;
		height: 44rem!important;
	}

	.catalog-list--item picture  { filter: grayscale(1); }
	.catalog-list--item  .catalog-nav--compare,
	.catalog-list--item  .catalog-nav--favorites { opacity: 0.3; }



	.catalog-list--item:hover picture { filter: grayscale(0)!important; }
	.catalog-list--item:hover  .catalog-nav--compare,
	.catalog-list--item:hover  .catalog-nav--favorites,
	.catalog-list--item  .catalog-nav--compare.in-list,
	.catalog-list--item  .catalog-nav--favorites.in-list { opacity: 1; }

	button.catalog-item--btn {
		width: 31rem;
		font-size: 1.5rem;
		margin-left: -0.5rem;
	}

	.catalog-list--item:hover button.catalog-item--btn {
		height: 4.8rem;
		margin-top: 2rem;
		opacity: 1;
	}

	.catalog-list--item:hover button.catalog-item--btn:hover {
		background-color: #FA601A;
		border: 0.1rem solid #FA601A;
	}

	.catalog-list--item:hover button.catalog-item--btn.active {
		color: #131313;
		background-color: transparent;
		border: 0.1rem solid #131313;
	}

	.catalog-no-products {
		top: 25rem;
		width: 104rem;
		margin-top: 10rem;
		font-size: 3rem;
		line-height: 2.4rem;
	}
}

@media (max-width: 599px) {
	.catalog-mesh{
		width: 39rem;
		margin-top: 6.3rem;
		grid-column-start: 3;
		grid-column-end: 42;
	}
	.catalog-list--item {
		width: 19rem;
		height: 32rem;
		padding-bottom: 1rem;
	}
	.catalog-item--name {
		width: 10rem;
		font-size: 1.2rem;
		line-height: 1.4rem;
		grid-column-start: 2;
		grid-column-end: 10;
		margin-top: 1.1rem;
		-webkit-line-clamp: 3;
	}
	.catalog-item--name .flag {
		width: 1.5rem;
		height: 1.1rem;

	}
	.catalog-item--nav {
		width: 5.4rem;
		grid-column-start: 13;
		grid-column-end: 18;
		margin-top: 1.3rem;
	}
	.catalog-nav--compare {
		width: 1.8rem;
		height: 1.5rem;
	}

	.catalog-nav--favorites {
		width: 2rem;
		height: 1.8rem;
	}
	.catalog-item--img {
		width: 12rem;
		height: 12rem;
		grid-column-start: 4;
		margin-top: 2rem;
	}
	.catalog-item--info {
		width: 17rem;
		height: 9rem;
		grid-column-start: 2;
		grid-column-end: 19;
		margin-top: 1rem;
	}
	.catalog-info--option {
		width: 16.2rem;
		font-size: 1.2rem;
		line-height: 1.3rem;
	}
	.catalog-info--title {
		width: 17rem;
		font-size: 1.4rem;
		line-height: 1.7rem;
	}
	.catalog-info--price {
		width: 17rem;
		margin-top: 1rem;
		font-size: 1.8rem;
		line-height: 2rem;
	}
	button.catalog-item--btn {
		width: 4rem;
		height: 4rem;
		margin-top: -3.5rem;
		grid-column-start: 14;
		color: #FA601A;
		font-size: 0;
		background-color: #FA601A;
		border-color: #FA601A;
		border-radius: 4rem;
		opacity: 1;
		background-image: url('/local/templates/ventluki/img/cart-white.svg');
		background-size: 2rem;
		background-position: center;
	}
	button.catalog-item--btn.in-list { background-image: url('/local/templates/ventluki/img/cart.svg')!important;}
	.catalog-no-products {
		top: 25rem;
		width: 104rem;
		margin-top: 10rem;
		font-size: 3rem;
		line-height: 2.4rem;
	}

	.catalog-nav--compare:hover {
		background-image: url('/local/templates/ventluki/img/compare-grey.svg')!important;
	}
	.catalog-nav--compare.in-list:hover {
		background-image: url('/local/templates/ventluki/img/compare_hover.svg')!important;
	}

	.catalog-nav--favorites:hover {
		background-image: url("/local/templates/ventluki/img/favorites-grey.svg")!important;
	}
	.catalog-nav--favorites.in-list:hover {
		background-image: url('/local/templates/ventluki/img/favorites_hover.svg')!important;
	}
}
